<Gauge Name="radio" Version="1.0">
  <Image Name="radio.bmp"/>

  <!-- ============================== Radio On/Off Switch ===================== -->
  <Element>
     <Position X="8" Y="40"/>
    <Select>
	 <Value>(A:Com recieve all, bool)</Value>
         <Case Value="0">
            <Image Name="radio_off.bmp"/>
         </Case>
         <Case Value="1">
            <Image Name="radio_on.bmp"/>
         </Case>
    </Select>
  </Element>
  
  <!-- ============================== Frequency Readout ======================= -->
  <Element>
 <Visible>(A:Com recieve all, bool)</Visible>
     <Position X="53" Y="17"/>
     <Failures>
       <GAUGE_COMMUNICATIONS Action="NoDraw"/>
     </Failures>
     <Text X="37" Y="15" Length="6" Fixed="Yes" Font="Arial" Adjust="Center" VerticalAdjust="Center" Color="#DCDCDC" Luminous="Yes">
        <String>%((A:Com active frequency:1,Megahertz))%!6.3f!</String>
     </Text>
  </Element>


  <Mouse>

    <Area Left="27" Top="42" Width="25" Height="25">
      <Area Left="0" Right="12">  
        <Cursor Type="DownArrow" Repeat="Yes"/>
        <Click Repeat="Yes" MouseWheelFlip="Yes">
          (A:Avionics master switch,bool) 1 == 
          if {0 (&gt;K:COM_RADIO_WHOLE_DEC) }
        </Click>
      </Area>
      <Area Left="13" Right="25">
        <Cursor Type="UpArrow" Repeat="Yes"/>
        <Click Repeat="Yes" MouseWheelFlip="Yes">
          (A:Avionics master switch,bool) 1 == 
          if {0 (&gt;K:COM_RADIO_WHOLE_INC) }
        </Click>
      </Area>
    </Area>
   <Area Left="102" Top="42" Width="25" Height="25">
      <Area Left="0" Right="12">
        <Cursor Type="DownArrow" Repeat="Yes"/>
        <Click Repeat="Yes" MouseWheelFlip="Yes">
          (A:Avionics master switch,bool) 1 == 
          if {0 (&gt;K:COM_RADIO_FRACT_DEC) }
        </Click>
      </Area>
      <Area Left="13" Right="25">
        <Cursor Type="UpArrow" Repeat="Yes"/>
        <Click Repeat="Yes" MouseWheelFlip="Yes">
          (A:Avionics master switch,bool) 1 == 
          if {0 (&gt;K:COM_RADIO_FRACT_INC) }
        </Click>
      </Area>
    </Area>
    <!-- Radio Master -->
    <Area Left="8" Top="40" Width="12" Height="24">
      <Cursor Type="Hand"/>
      	<Click Event="TOGGLE_AVIONICS_MASTER"/>
    </Area>
  </Mouse>
</Gauge>
